<?php
/*
  www.oscGold.com (C) Kamelia-Net Jacek Krysiak
  modul oscGold wer 4.0
*/

////
// Class to handle links between shipping and payment

  class ship2pay {
    var $modules;

// class constructor
    function ship2pay() {
      global $language, $PHP_SELF,$shipment,$GLOBALS;
      $this->modules = array();
      $q_ship2pay = tep_db_query("SELECT shipment, payments_allowed FROM ".TABLE_SHIP2PAY." where status=1");
      while ($mods = tep_db_fetch_array($q_ship2pay)) {
        $this->modules[$mods['shipment']] = $mods['payments_allowed'];
      }
    }
    
    function get_pay_modules($ship_module){
      return $this->modules[$ship_module];
    }
   }
?>
